<div id="draggable">
  <div id="header">
    <span i18n="Share this map">Share this map</span>
    <img id="close" alt="close-icon" src="icons/close.svg" />
  </div>

  <div id="content">
    <img alt="loading-icon" src="icons/loading.svg" class="${(this.loading ? 'gg-spin' : 'hidden')}" />

    <div class="${(this.loading ? 'hidden' : '')}">
      <div class="link">
        <input id="link" type="text" value="${this.shareLink}" class="gg-input gg-medium" />
        <button class="gg-icon-button gg-medium" tip="Copy ShortUrl" onclick="${() => this.copyToClipboard()}">
          <img alt="copy-icon" src="icons/copy.svg" />
        </button>
      </div>

      <img alt="share-qrcode" class="${(this.qrCode ? 'qrcode' : 'hidden')}" src="${this.qrCode}" />
      <div class="${(this.success ? 'hidden' : 'qrcode error')}">
        <img alt="error-icon" src="icons/error.svg" />
        <span i18n="Error, can not fetch the shortener service. Please try again later."
          >Error, can not fetch the shortener service. Please try again later.</span
        >
      </div>

      <div class="social">
        <button onclick="${() => this.shareFacebook()}">
          <img alt="share-facebook" src="${this.facebookLogo}" />
        </button>
        <button onclick="${() => this.shareTwitter()}">
          <img alt="share-twitter" src="${this.twitterLogo}" />
        </button>
        <button onclick="${() => this.shareLinkedIn()}">
          <img alt="share-linkedin" src="${this.linkedInLogo}" />
        </button>
        <button onclick="${() => this.shareMail()}">
          <img alt="share-mail" src="${this.mailLogo}" />
        </button>
      </div>
    </div>
  </div>
</div>
